Bug 92704 - graphics/dri: dri-6.4.1,2 fails to build on FreeBSD 4.11
Summary: graphics/dri: dri-6.4.1,2 fails to build on FreeBSD 4.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Eric Anholt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-01 21:10 UTC by Mark Andrews
Modified: 2006-09-01 05:18 UTC (History)
0 users

See Also:


Attachments
file.diff (314 bytes, patch)
2006-02-01 21:10 UTC, Mark Andrews
no flags Details | Diff
file.diff (329 bytes, patch)
2006-02-01 21:10 UTC, Mark Andrews
no flags Details | Diff
patch-src_mesa_swrast_s_triangle.c (1.11 KB, text/plain; charset=us-ascii)
2006-02-03 13:06 UTC, Sven Berkvens-Matthijsse
no flags Details
patch-src_mesa_drivers_dri_mga_mgacontext.h (371 bytes, text/plain; charset=us-ascii)
2006-02-03 13:06 UTC, Sven Berkvens-Matthijsse
no flags Details
patch-src_mesa_drivers_dri_mga_mga_xmesa.c (356 bytes, text/plain; charset=us-ascii)
2006-02-03 13:06 UTC, Sven Berkvens-Matthijsse
no flags Details
patch-src_mesa_drivers_dri_r300_r300_context.h (401 bytes, text/plain; charset=us-ascii)
2006-02-03 13:06 UTC, Sven Berkvens-Matthijsse
no flags Details
patch-src_mesa_drivers_dri_r300_r300_fragprog.c (434 bytes, text/plain; charset=us-ascii)
2006-02-03 13:06 UTC, Sven Berkvens-Matthijsse
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Andrews 2006-02-01 21:10:02 UTC
	dri-6.4.1,2 fails to compile on FreeBSD 4.11
	Requires compiler w/ -std=c99 support.
	Requires <stdint.h>

Fix: Set USE_GCC to a apropriate version of gcc which supports
	-std=c99.  Note none of the versions of gcc fully supported
	-std=c99.  They should supply <stdint.h> where the OS fails
	to supply it.

	Apply the following patches. 
How-To-Repeat: 	
	Attempt to install dri-6.4.1,2 on a FreeBSD 4.11 system.
Comment 1 Edwin Groothuis freebsd_committer 2006-02-01 21:17:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->anholt

Over to maintainer
Comment 2 Sven Berkvens-Matthijsse 2006-02-03 13:06:02 UTC
There is no need to use another compiler than GCC 2.95. Hereby I
include five patch files that will allow the port to compile on
FreeBSD 4.x as well, without breaking support for later versions.

Furthermore, the files/patch-freebsd-dri file has to be patched so
that it removes the -std=c99 option from the CFLAGS.

-- 
Sven
Comment 3 Eric Anholt freebsd_committer 2006-09-01 05:17:49 UTC
State Changed
From-To: open->closed

Committed a variation on the original suggestion.  Thanks!